MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
FileReader Class Referencefinal

`#include <FileReader.hxx>`

Inheritance diagram for FileReader:
[legend]
Collaboration diagram for FileReader:
[legend]

## Public Member Functions
| FileReader (Path _path)
| FileReader (FileReader &&other)
| ~FileReader ()
FileDescriptor | GetFD () const
void | Close ()
gcc_pure FileInfo | GetFileInfo () const
gcc_pure uint64_t | GetSize () const
gcc_pure uint64_t | GetPosition () const
void | Rewind ()
void | Seek (off_t offset)
void | Skip (off_t offset)
size_t | Read (void *data, size_t size) override
| Read data from the stream. More...
Public Member Functions inherited from Reader
| Reader ()=default
| Reader (const Reader &)=delete

## Protected Member Functions
bool | IsDefined () const

## Detailed Description

Definition at line 39 of file FileReader.hxx.

## Constructor & Destructor Documentation

FileReader::FileReader | ( | Path | _path | ) |
| explicit

FileReader::FileReader | ( | FileReader && | other | ) |
| inline

Definition at line 58 of file FileReader.hxx.

FileReader::~FileReader | ( |  | ) |
| inline

Definition at line 65 of file FileReader.hxx.

## Member Function Documentation

void FileReader::Close | ( |  | ) |

FileDescriptor FileReader::GetFD | ( |  | ) | const
| inline

Definition at line 82 of file FileReader.hxx.

gcc_pure FileInfo FileReader::GetFileInfo | ( |  | ) | const

gcc_pure uint64_t FileReader::GetPosition | ( |  | ) | const
| inline

Definition at line 105 of file FileReader.hxx.

gcc_pure uint64_t FileReader::GetSize | ( |  | ) | const
| inline

Definition at line 93 of file FileReader.hxx.

bool FileReader::IsDefined | ( |  | ) | const
| inline protected

Definition at line 72 of file FileReader.hxx.

size_t FileReader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| override virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implements Reader.

void FileReader::Rewind | ( |  | ) |
| inline

Definition at line 118 of file FileReader.hxx.

void FileReader::Seek | ( | off_t | offset | ) |

void FileReader::Skip | ( | off_t | offset | ) |

The documentation for this class was generated from the following file:

- fs/io/FileReader.hxx